Subject: [SIP] Inconsistency in table 2 and the URL comparison rules and context matching in the rfc2543bis-01

From: "Scott Orton" <[email-masked]>
Date: Mon, 28 Aug 2000 16:47:58 -0500

I have come across a inconsistency in Table 2 regarding the password
parameter. Table 2 states that the password is not allowed in the From
header. But the comparison rules for the sip URL state in the third bullet
that the "user, password, host, port and any url-parameters of the URI must
match."

Based on these it seems to me that the From and To headers both need to
allow the same parameters or context matching will fail at the User Agent. 

I would suggest that Table 2 be modified to optionally include password in
the From.

Scott Orton
<[email-masked]>

---

From: Henning Schulzrinne <[email-masked]>
Date: Tue, 29 Aug 2000 04:48:40 -0400

I don't know what it would mean to have a password parameter in From, so
it's probably better to qualify the comparison rule to indicate that
parameters that are not there match. (Although I find this kind of
obvious...)

> Scott Orton wrote:
> header. But the comparison rules for the sip URL state in the third
> bullet that the "user, password, host, port and any url-parameters of
> the URI must match."
> 
> Based on these it seems to me that the >From and To headers both need
> to allow the same parameters or context matching will fail at the User
> Agent.
> 
> I would suggest that Table 2 be modified to optionally include
> password in the From.
> 
> Scott Orton

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip